import codeanticode.gsvideo.*;

int i, fps, totalFrames;
PImage frame;
GSMovieMaker mm;

public void setup() {
  size(320, 240);
  background(0);
  i = 0;
  fps = 25;
  totalFrames = 100;
  frame = loadImage("frame-0000.tif");
  mm = new GSMovieMaker(this,frame.width,frame.height,"video.ogg",
                        GSMovieMaker.THEORA,GSMovieMaker.HIGH,fps);
  mm.start();
}

public void draw() {
  if (mm.isRecording()) {
    image(frame,0,0,width,height);
    mm.addFrame(frame.pixels);
    i++;
    if (i < totalFrames) frame = loadImage("frame-"+String.format("%04d",i)+".tif");
    else mm.finish();
  }
}  
